> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Submissions

> Fetch a list of reports that have been submitted, with their details including fraud type, reason, status, and associated identifiers.



## OpenAPI

````yaml GET /reports/submissions
openapi: 3.0.1
info:
  title: Fraud Report API
  description: API to report suspected activity
  version: 1.0.0
servers: []
security: []
paths:
  /reports/submissions:
    get:
      summary: Fetches reports submissions
      description: >-
        Fetch a list of reports that have been submitted, with their details
        including fraud type, reason, status, and associated identifiers.
      parameters:
        - name: page
          in: query
          description: The page of results to fetch (default is 1).
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: The number of results per page (default is 10).
          required: false
          schema:
            type: integer
            default: 10
      responses:
        '200':
          description: Successfully fetched reports
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            companyId:
                              type: string
                            userId:
                              type: string
                              nullable: true
                            listingStatus:
                              type: string
                            exitedListAt:
                              type: string
                              nullable: true
                            exitListReason:
                              type: string
                              nullable: true
                            fraudType:
                              type: string
                            fraudReason:
                              type: string
                            showUploaderInfo:
                              type: boolean
                            attachments:
                              type: array
                              items:
                                type: string
                            status:
                              type: string
                              enum:
                                - published
                                - draft
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            reportingCompany:
                              type: object
                              properties:
                                businessName:
                                  type: string
                                id:
                                  type: string
                            identifiers:
                              type: array
                              description: List of encrypted identifiers
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                    description: Identifier label
                                  value:
                                    type: string
                                    description: Encrypted identifier value
                                required:
                                  - label
                                  - value
                      meta:
                        type: object
                        properties:
                          total:
                            type: integer
                          page:
                            type: integer
                          limit:
                            type: integer
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````